# Command: CreateListener

CreateListener ( parent[,rolloff_factor#][,doppler_scale#][,distance_scale#] )

Parameters:

parent - parent entity of listener. A parent entity, typically a camera, must be specified to 'carry' the listener around. rolloff_factor# (optional) - the rate at which volume diminishes with distance. Defaults to 1. doppler_scale# (optional) - the severity of the doppler effect. Defaults to 1. distance_scale# (optional) - artificially scales distances. Defaults to 1.

Description:

Creates a listener entity and returns its handle. Currently, only a single listener is supported.

Example:

None.

Index